Subject: Re: [PATCH v2 3/6] refs: allow skipping OID verification

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Nov 2021 15:28:47 -0800

"Han-Wen Nienhuys via GitGitGadget" <[email-masked]> writes:

> +/*
> + * Blindly write an object_id. This is useful for testing data corruption
> + * scenarios.
> + */
> +#define REF_SKIP_OID_VERIFICATION (1 << 10)

That makes sense.  Readers would expect that this flag is passed
only from test-helper but not in the regular code, at least without
an option like "git update-ref --skip-oid-verification ..."?

After applying these 6 patches, I do not seem to find anybody who
actually flips this bit on.  Perhaps I missed a step or so?